# Send Ethereum Transaction

This Node.js application enables users to send Ethereum transactions directly from the command line using the `ethereum-wallet-interactor` library. It simplifies the process of creating and sending transactions, making it convenient for developers to interact with the Ethereum blockchain.

## Features

- **Send Transactions:** Allows users to specify the recipient address and the amount of ETH to send, facilitating seamless transactions.
- **Secure:** Utilizes environment variables to manage sensitive information like private keys securely.

## Prerequisites

- Node.js (v14.0.0 or higher)
- An Ethereum wallet with some ETH for testing purposes
- Private key access for the Ethereum wallet


1. Navigate to the project directory:

cd send-ethereum-transaction

2. Install necessary dependencies:

npm install

3. Set up your environment variables:
Create a `.env` file in the root of your project and add the following lines:

INFURA_URL=your_infura_project_url
PRIVATE_KEY=your_private_key_here

## Usage

To run the application, execute the following command in your terminal:

Follow the prompts to enter the recipient address and the amount of ETH to send. The transaction will be created, signed, and sent automatically.

## Configuration

Ensure you have the correct `INFURA_URL` and `PRIVATE_KEY` values set up in your `.env` file before running the application. This ensures successful interaction with the Ethereum network.

## Contributing

Contributions are welcome! If you have suggestions for improving this application, please open an issue or submit a pull request.

## License

This project is licensed under the MIT License - see the LICENSE file for details.
